package golang

import (
	_ "embed"

	"github.com/fatih/color"

	"git.icechen.cn/pkg/wdt/util"
)

//go:embed "Dockerfile.tpl"
var dockerfileTemplate string

func GenDockerfile(name string) error {
	color.Green("正在生成dockerfile...")
	return util.TemplateToFile("app/api/"+name+"/Dockerfile", dockerfileTemplate, map[string]string{"Name": name})
}
